Polymarket

Get Polymarket perps order book

Get the Polymarket perps order book for one instrument.

GET/v1/polymarket/perps/instruments/{instrumentId}/book
1credit
x-api-keystringheader

API key (`sfk_...`)

Parameters
2
instrumentIdstringrequiredpath

Perps instrument id from the instruments list.

pattern: ^\d{1,6}$

depthstringoptionalquery

Price levels per side: 10, 100, 500 or 1000. Default: 10.

one of: 10, 100, 500, 1000

Response fields
14

Endpoint-specific response payload.

datalookupStatus
string

`not_found` when no instrument has this id (an unknown id answers an empty book).

one of: found, not_found

datainstrumentId
string

The instrument asked for.

Best (highest) first.

databids[]price
number

Price.

databids[]quantity
number

Contracts at this price.

Best (lowest) first.

dataasks[]price
number

Price.

dataasks[]quantity
number

Contracts at this price.

dataupdatedAt
stringnullable

Time of this book snapshot (ISO-8601, UTC).

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/polymarket/perps/instruments/1/book?depth=10" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Polymarket perps order book.